%define	name	vegastrike
%define	version	0.4.1
%define	release	2mdk
%define	Summary	A free 3D space fight simulator

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	%{Summary}
License:	GPL
Group:		Games/Arcade
URL:		http://vegastrike.sourceforge.net
Source0:	%{name}-%{version}.tar.bz2
Source1:	%{name}-manpages.tar.bz2
Source2:	%{name}-%{version}-setup.tar.bz2
Source3:	%{name}.sh.bz2
Source11:	%{name}-16x16.png
Source12:	%{name}-32x32.png
Source13:	%{name}-48x48.png
Patch0:		%{name}-endian_fixes.patch.bz2
Patch1:		%{name}-launcher.patch.bz2
#Patch2:	%{name}-update-obsolete-flags.patch.bz2
#Patch3:	%{name}-misc.patch.bz2
Patch4:		%{name}-path_fixes.patch.bz2
#Patch5:	%{name}-vsinstall.patch.bz2
Patch6:		%{name}-vssetup.patch.bz2
Patch7:		%{name}-0.4.1-makefiles.patch.bz2
Patch8:		%{name}-0.4.1-char.patch.bz2
Patch9:		%{name}-0.4.1-configure.patch.bz2
Patch10:	%{name}-0.4.1-posh.patch.bz2
Requires:	%{name}-data
BuildRequires:	png-devel MesaGLU-devel zlib-devel python-devel openal-devel nas-devel
BuildRequires:	jpeg-devel XFree86-devel SDL_net-devel Mesa-common-devel libvorbis-devel autoconf >= 2.5
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Vega Strike is a GPL 3d OpenGL Action RPG space sim for
Windows/Linux that allows a player to trade and bounty hunt
in the spirit of Elite. You start in an old beat up Wayfarer
cargo ship, with endless possibility before you and just
enough cash to scrape together a life. Yet danger lurks in
the space beyond.

%prep
%setup -q -a1 -b2
bzcat %{SOURCE3} > %{name}.sh
%patch0 -p1
%patch1 -p1
#%patch2 -p0
#%patch3 -p1
%patch4 -p1
#%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1

%build
export WANT_AUTOCONF_2_5=1
%{__aclocal}
%{__autoheader}
%{__automake} --foreign --add-missing
autoconf-2.5x
%configure2_5x	--with-bindir=%{_gamesbindir} \
		--with-data-dir=%{_gamesdatadir}/%{name} \
		--enable-boost-128 \
		--enable-flags="-DGLX_GLXEXT_PROTOTYPES"
%make

%install
%{__rm} -rf $RPM_BUILD_ROOT
%makeinstall bindir=$RPM_BUILD_ROOT%{_gamesbindir}
install -m755 %{name}.sh $RPM_BUILD_ROOT%{_gamesbindir}/%{name}.sh

install -d $RPM_BUILD_ROOT%{_mandir}
for i in *.6; do install -m644 $i -D $RPM_BUILD_ROOT%{_mandir}/man6/$i; done

%{__install} -d $RPM_BUILD_ROOT%{_menudir}
%{__cat} <<EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}):command="%{_gamesbindir}/%{name}.sh" \
		icon=%{name}.png \
		needs="x11" \
		section="Amusement/Arcade" \
		title="Vega Strike"\
		longtitle="%{Summary}"
EOF

%{__install} -m644 %{SOURCE11} -D $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
%{__install} -m644 %{SOURCE12} -D $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
%{__install} -m644 %{SOURCE13} -D $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

%{__install} -d $RPM_BUILD_ROOT%{_gamesdatadir}/%{name}

%post
%update_menus

%postun
%clean_menus

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_menudir}/%{name}
%{_mandir}/man6/*
%dir %{_gamesdatadir}
%defattr(755,root,root,755)
%{_gamesbindir}/*

%changelog
* Tue Mar 02 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.4.1-2mdk
- force autoconf-2.5x
- fix buildrequires (lib64..)

* Tue Oct 28 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.4.1-1mdk
- 0.4.1 (badly needed, closes #6205)
- synced with debian patches
- don't bzip2 icons in source rpm
- fix summary macro to avoid possible conflicts if we were to build debug package
- fix buildrequires (lib64)
- minor fixes etc...
- be sure to use autoconf-2.5
- compile with -DGLX_GLXEXT_PROTOTYPES

* Fri Apr 25 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.3.1-2mdk
- fixed buildrequires
- drop unapplied patches
- added url

* Tue Apr 22 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.3.1-1mdk
- initial mdk release
